Previous: Runtime Options, Up: Command Line Options

#### 3.3.2 Toplevel Options

`--sysinit` filename
  Load filename instead of the default system initialization file (see Initialization Files.)
`--no-sysinit`
  Don't load a system-wide initialization file. If this option is given, the `--sysinit` option is ignored.
`--userinit` filename
  Load filename instead of the default user initialization file (see Initialization Files.)
`--no-userinit`
  Don't load a user initialization file. If this option is given, the `--userinit` option is ignored.
`--eval` command
  After executing any initialization file, but before starting the read-eval-print loop on standard input, read and evaluate the command given. More than one `--eval` option can be used, and all will be read and executed, in the order they appear on the command line.
`--load` filename
  This is equivalent to `--eval '(load "`filename`")'`. The special syntax is intended to reduce quoting headaches when invoking SBCL from shell scripts.
`--noprint`
  When ordinarily the toplevel "read-eval-print loop" would be exe- cuted, execute a "read-eval loop" instead, i.e. don't print a prompt and don't echo results. Combined with the `--noinform` runtime option, this makes it easier to write Lisp "scripts" which work cleanly in Unix pipelines.
`--disable-debugger`
  By default when SBCL encounters an error, it enters the builtin debugger, allowing interactive diagnosis and possible intercession. This option disables the debugger, causing errors to print a backtrace and exit with status 1 instead. When given, this option takes effect before loading of initialization files or processing `--eval` and `--load` options. See `sb-ext:disable-debugger` for details. See Debugger Entry.
`--script` filename
  Implies `--no-userinit` `--no-sysinit` `--disable-debugger` `--end-toplevel-options`.

  Causes the system to load the specified file instead of entering the read-eval-print-loop, and exit afterwards. If the file begins with a shebang line, it is ignored.